Update a folder
curl --request PUT \
--url https://api.morphic.io/api/favorites/folders/{folder_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_order": 123,
"is_hidden": true,
"color": "<string>"
}
'import requests
url = "https://api.morphic.io/api/favorites/folders/{folder_id}"
payload = {
"name": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_order": 123,
"is_hidden": True,
"color": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
parent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
display_order: 123,
is_hidden: true,
color: '<string>'
})
};
fetch('https://api.morphic.io/api/favorites/folders/{folder_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_order": 123,
"is_hidden": false,
"color": "<string>",
"children_count": 123,
"favorites_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Favorites
Update a folder
Update a favorite folder’s details.
PUT
/
api
/
favorites
/
folders
/
{folder_id}
Update a folder
Authorizations
API key (sk_xxx) from Developer Settings. No X-Account-ID needed.
Headers
Path Parameters
Body
application/json
Response
Successful Response
Response schema for favorite folder API endpoints.
Folder name
Required string length:
1 - 255Parent folder ID for nested folders
Display order
Whether folder is hidden from sidebar
Optional color for folder
Maximum string length:
50Number of child folders
Number of favorites in folder
⌘I